Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4431103

java.io.InputStreamReader subclassing broken (Cloudscape does not work with 1.4)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: 1.3.0
    • Fix Version/s: 1.4.0
    • Component/s: core-libs
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      beta
    • CPU:
      sparc
    • OS:
      solaris_7
    • Verification:
      Verified

      Description

      The Cloudscape util 'ij' does not work correctly on Merlin. Running ij results in a stack overflow.

      % ./ij
      ij version 3.6 (c) 1997-2001 Informix Software, Inc.
      ij> JAVA ERROR: java.lang.StackOverflowError
      ij> JAVA ERROR: java.lang.StackOverflowError
      ij> JAVA ERROR: java.lang.StackOverflowError
      ij> JAVA ERROR: java.lang.StackOverflowError

      This problem does not occur with JDK 1.3.

      jon.ellis@Eng 2001-04-10

        Attachments

          Activity

            People

            • Assignee:
              mr Mark Reinhold
              Reporter:
              duke J. Duke (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Imported:
                Indexed: